use dbPersonnel 
exec('create trigger dbo.d_PersonnelInsurance     
on dbo.tblPersonnelInsurance 
for delete                    
as                      
if exists(select ''true'' from deleted d where d.Calculation<>0)
begin
raiserror (''Delete statement conflicted With Calculation'',16,20)
--rollback tran
end')
GO


exec('Create trigger dbo.d_PersonnelStatementValues   
on dbo.tblPersonnelStatementValues                
for delete                  
as                    
if exists(select ''true''	from deleted d where d.Calculation<>0)    
begin
raiserror (''Delete statement conflicted With Calculation'',16,20)
--rollback tran                   
end')
GO

exec('create trigger dbo.d_PersonnelTimeTableSetting             
on dbo.tblPersonnelTimeTableSetting                    
for delete                    
as                      
if exists(select ''true'' from deleted d where d.Calculation<>0)
begin
raiserror (''Delete statement conflicted With Calculation'',16,20)
--rollback tran
end')
GO

create trigger dbo.i_FilterFields_FieldType 
on dbo.tblFilterFields 
for insert            
as             
if exists(select 'true' from inserted i left join dbGeneralData.dbo.tblFieldType p on i.FieldType=p.Id where p.id is null And i.FieldType is not null)             
begin               
	raiserror ('INSERT statement conflicted with COLUMN REFERENCE ''FK_tblFilterFields_tblFieldType '' .The conflict occurred in database ''dbGeneralData'', table ''tblFieldType'', Column ''Id''',16,1)                         
    rollback            
end
GO

create trigger dbo.i_FilterFields_FilterGroup 
on dbo.tblFilterFields 
for insert            
as             
if exists(select 'true' from inserted i left join tblFilterGroup p on i.FilterGroup=p.Id where p.id is null And i.FilterGroup is not null)            
begin               
	raiserror ('INSERT statement conflicted with COLUMN REFERENCE ''FK_tblFilterFields_tblFilterGroup '' .The conflict occurred in database ''dbPersonnel'', table ''tblFilterGroup'', Column ''Id''',16,1)
	rollback            
end
GO

create trigger dbo.u_FilterFields_FieldType 
on dbo.tblFilterFields 
for update                
as               
if update(FieldType) if exists  (select 'true' from inserted i left join dbGeneralData.dbo.tblFieldType p on i.FieldType=p.Id where p.id is null and i.FieldType is not null)                
begin   
	raiserror ('UPDATE statement conflicted with COLUMN REFERENCE ''FK_tblFilterFields_tblFieldType '' . The conflict occurred in database ''dbGeneralData'', table ''tblFieldType'', Column ''Id''',16,1)                                 
	rollback                
end
GO

create trigger dbo.u_FilterFields_FilterGroup 
on dbo.tblFilterFields 
for update                
as               
if update(FilterGroup) if exists  (select 'true' from inserted i left join tblFilterGroup p on i.FilterGroup=p.Id where p.id is null and i.FilterGroup is not null)                
begin   
	raiserror ('UPDATE statement conflicted with COLUMN REFERENCE ''FK_tblFilterFields_tblFilterGroup '' .The conflict occurred in database ''dbPersonnel'', table ''tblFilterGroup'', Column ''Id''',16,1)
	rollback                
end
GO

create trigger dbo.d_FilterGroup_FilterFields 
on dbo.tblFilterGroup       
for delete        
as           
if exists (select 'true' from Deleted d join tblFilterFields r on d.id=r.FilterGroup )    
begin               
	raiserror ('Delete statement conflicted with COLUMN REFERENCE FK_FilterGroup_tblFilterFields.The conflict occurred in database dbPay, table tblFilterFields, Column FilterGroup',16,1)            
	rollback tran          
end
GO

create trigger dbo.u_FilterGroup_FilterFields 
on dbo.tblFilterGroup     
after update          
as       
if update(id) if exists ( select 'true' from deleted d join tblFilterFields r on d.Id=r.FilterGroup )    
begin             
	update tblFilterFields set tblFilterFields.FilterGroup=i.Id  from  Inserted i ,deleted d where  tblFilterFields.FilterGroup=d.id          
end
GO